[arch-commits] Commit in gvfs/repos (10 files)

Ionut Biru ibiru at archlinux.org
Fri Mar 9 10:52:57 EST 2012


    Date: Friday, March 9, 2012 @ 10:52:56
  Author: ibiru
Revision: 152762

archrelease: copy trunk to gnome-unstable-i686, gnome-unstable-x86_64

Added:
  gvfs/repos/gnome-unstable-i686/
  gvfs/repos/gnome-unstable-i686/PKGBUILD
    (from rev 152761, gvfs/trunk/PKGBUILD)
  gvfs/repos/gnome-unstable-i686/gvfs-module.install
    (from rev 152761, gvfs/trunk/gvfs-module.install)
  gvfs/repos/gnome-unstable-i686/gvfs-smb.install
    (from rev 152761, gvfs/trunk/gvfs-smb.install)
  gvfs/repos/gnome-unstable-i686/gvfs.install
    (from rev 152761, gvfs/trunk/gvfs.install)
  gvfs/repos/gnome-unstable-x86_64/
  gvfs/repos/gnome-unstable-x86_64/PKGBUILD
    (from rev 152761, gvfs/trunk/PKGBUILD)
  gvfs/repos/gnome-unstable-x86_64/gvfs-module.install
    (from rev 152761, gvfs/trunk/gvfs-module.install)
  gvfs/repos/gnome-unstable-x86_64/gvfs-smb.install
    (from rev 152761, gvfs/trunk/gvfs-smb.install)
  gvfs/repos/gnome-unstable-x86_64/gvfs.install
    (from rev 152761, gvfs/trunk/gvfs.install)

-------------------------------------------+
 gnome-unstable-i686/PKGBUILD              |  112 ++++++++++++++++++++++++++++
 gnome-unstable-i686/gvfs-module.install   |    7 +
 gnome-unstable-i686/gvfs-smb.install      |   12 +++
 gnome-unstable-i686/gvfs.install          |   14 +++
 gnome-unstable-x86_64/PKGBUILD            |  112 ++++++++++++++++++++++++++++
 gnome-unstable-x86_64/gvfs-module.install |    7 +
 gnome-unstable-x86_64/gvfs-smb.install    |   12 +++
 gnome-unstable-x86_64/gvfs.install        |   14 +++
 8 files changed, 290 insertions(+)

Copied: gvfs/repos/gnome-unstable-i686/PKGBUILD (from rev 152761, gvfs/trunk/PKGBUILD)
===================================================================
--- gnome-unstable-i686/PKGBUILD	                        (rev 0)
+++ gnome-unstable-i686/PKGBUILD	2012-03-09 15:52:56 UTC (rev 152762)
@@ -0,0 +1,112 @@
+# $Id$
+# Maintainer: Jan de Groot <jgc at archlinux.org>
+
+pkgbase=gvfs
+pkgname=('gvfs' 'gvfs-smb' 'gvfs-afc' 'gvfs-afp' 'gvfs-gphoto2' 'gvfs-obexftp')
+pkgver=1.11.4
+pkgrel=1
+arch=('i686' 'x86_64')
+license=('LGPL')
+makedepends=('avahi' 'bluez' 'dbus-glib' 'fuse' 'intltool' 'libarchive' 'libcdio' 'libgphoto2' 'libimobiledevice' 'libsoup-gnome' 'smbclient' 'udisks2')
+url="http://www.gnome.org"
+options=(!libtool)
+source=(http://ftp.gnome.org/pub/gnome/sources/$pkgbase/${pkgver%.*}/$pkgbase-$pkgver.tar.xz)
+sha256sums=('67445aa4e40daac6f235a7d2db935c64b7f30c8420b71403f29561fd0a5c6718')
+
+build() {
+  cd "$pkgbase-$pkgver"
+  ./configure --prefix=/usr --sysconfdir=/etc \
+      --localstatedir=/var --disable-static \
+      --libexecdir=/usr/lib/gvfs \
+      --with-bash-completion-dir=/etc/bash_completion.d
+  make
+}
+
+package_gvfs() {
+  pkgdesc="Userspace virtual filesystem implemented as a pluggable module for gio"
+  depends=('avahi' 'dconf' 'fuse' 'libarchive' 'libcdio' 'libsoup-gnome' 'udisks2')
+  optdepends=('gvfs-afc: AFC (mobile devices) support'
+              'gvfs-smb: SMB/CIFS (Windows client) support'
+              'gvfs-gphoto2: gphoto2 (PTP camera/MTP media player) support'
+              'gvfs-obexftp: ObexFTP (bluetooth) support'
+              'gvfs-afp: Apple Filing Protocol (AFP) support')
+  install=gvfs.install
+
+  cd "$pkgbase-$pkgver"
+  sed -e 's/^am__append_4/#am__append_4/' \
+      -e 's/^am__append_5/#am__append_5/' \
+      -i monitor/Makefile
+  make DESTDIR="$pkgdir" install
+
+  cd "$pkgdir"
+  rm usr/lib/gvfs/gvfsd-{smb,smb-browse,afc,afp,afp-browse,gphoto2,obexftp}
+  rm usr/share/gvfs/mounts/{smb,smb-browse,afc,afp,afp-browse,gphoto2,obexftp}.mount
+  rm usr/share/glib-2.0/schemas/org.gnome.system.smb.gschema.xml
+  rm usr/share/GConf/gsettings/gvfs-smb.convert
+}
+
+package_gvfs-smb() {
+  pkgdesc="SMB/CIFS (Windows client) backend for gvfs"
+  depends=("gvfs=$pkgver" 'smbclient' 'libgnome-keyring')
+  install=gvfs-smb.install
+
+  cd "$pkgbase-$pkgver/daemon"
+  install -m755 -d "$pkgdir/usr/lib/gvfs"
+  install -m755 -d "$pkgdir/usr/share/gvfs/mounts"
+
+  install -m755 .libs/gvfsd-smb{,-browse} "$pkgdir/usr/lib/gvfs/"
+  install -m644 smb{,-browse}.mount "$pkgdir/usr/share/gvfs/mounts/"
+
+  install -Dm644 org.gnome.system.smb.gschema.xml \
+    "$pkgdir/usr/share/glib-2.0/schemas/org.gnome.system.smb.gschema.xml"
+  install -Dm644 gvfs-smb.convert \
+    "$pkgdir/usr/share/GConf/gsettings/gvfs-smb.convert"
+}
+
+package_gvfs-afc() {
+  pkgdesc="AFC (mobile devices) backend for gvfs"
+  depends=("gvfs=$pkgver" 'libimobiledevice')
+  install=gvfs-module.install
+
+  cd "$pkgbase-$pkgver/daemon"
+  install -D .libs/gvfsd-afc "$pkgdir/usr/lib/gvfs/gvfsd-afc"
+  install -Dm644 afc.mount "$pkgdir/usr/share/gvfs/mounts/afc.mount"
+
+  cd "$srcdir/$pkgbase-$pkgver/monitor/afc"
+  make DESTDIR="$pkgdir" install
+}
+
+package_gvfs-gphoto2() {
+  pkgdesc="gphoto2 (PTP camera/MTP media player) backend for gvfs"
+  depends=("gvfs=$pkgver" 'dbus-core' 'libgphoto2' 'udev')
+  install=gvfs-module.install
+
+  cd "$pkgbase-$pkgver/daemon"
+  install -D .libs/gvfsd-gphoto2 "$pkgdir/usr/lib/gvfs/gvfsd-gphoto2"
+  install -Dm644 gphoto2.mount "$pkgdir/usr/share/gvfs/mounts/gphoto2.mount"
+
+  cd "$srcdir/$pkgbase-$pkgver/monitor/gphoto2"
+  make DESTDIR="$pkgdir" install
+}
+
+package_gvfs-obexftp() {
+  pkgdesc="ObexFTP (bluetooth) backend for gvfs"
+  depends=("gvfs=$pkgver" 'dbus-glib' 'bluez' 'obex-data-server')
+  install=gvfs-module.install
+
+  cd "$pkgbase-$pkgver/daemon"
+  install -D .libs/gvfsd-obexftp "$pkgdir/usr/lib/gvfs/gvfsd-obexftp"
+  install -Dm644 obexftp.mount "$pkgdir/usr/share/gvfs/mounts/obexftp.mount"
+}
+
+package_gvfs-afp() {
+  pkgdesc="Apple Filing Protocol (AFP) backend for gvfs"
+  depends=("gvfs=$pkgver")
+  install=gvfs-module.install
+  install -m755 -d "$pkgdir/usr/lib/gvfs"
+  install -m755 -d "$pkgdir/usr/share/gvfs/mounts"
+
+  cd "$pkgbase-$pkgver/daemon"
+  install -m755 .libs/gvfsd-afp{,-browse} "$pkgdir/usr/lib/gvfs/"
+  install -m644 afp{,-browse}.mount "$pkgdir/usr/share/gvfs/mounts/"
+}

Copied: gvfs/repos/gnome-unstable-i686/gvfs-module.install (from rev 152761, gvfs/trunk/gvfs-module.install)
===================================================================
--- gnome-unstable-i686/gvfs-module.install	                        (rev 0)
+++ gnome-unstable-i686/gvfs-module.install	2012-03-09 15:52:56 UTC (rev 152762)
@@ -0,0 +1,7 @@
+post_install() {
+  killall -USR1 gvfsd >&/dev/null || :
+}
+
+post_upgrade() {
+  post_install
+}

Copied: gvfs/repos/gnome-unstable-i686/gvfs-smb.install (from rev 152761, gvfs/trunk/gvfs-smb.install)
===================================================================
--- gnome-unstable-i686/gvfs-smb.install	                        (rev 0)
+++ gnome-unstable-i686/gvfs-smb.install	2012-03-09 15:52:56 UTC (rev 152762)
@@ -0,0 +1,12 @@
+post_install() {
+  glib-compile-schemas /usr/share/glib-2.0/schemas
+  killall -USR1 gvfsd >&/dev/null || :
+}
+
+post_upgrade() {
+  post_install
+}
+
+post_remove() {
+  glib-compile-schemas /usr/share/glib-2.0/schemas
+}

Copied: gvfs/repos/gnome-unstable-i686/gvfs.install (from rev 152761, gvfs/trunk/gvfs.install)
===================================================================
--- gnome-unstable-i686/gvfs.install	                        (rev 0)
+++ gnome-unstable-i686/gvfs.install	2012-03-09 15:52:56 UTC (rev 152762)
@@ -0,0 +1,14 @@
+post_install() {
+  gio-querymodules /usr/lib/gio/modules
+  glib-compile-schemas /usr/share/glib-2.0/schemas
+  killall -USR1 gvfsd >&/dev/null || :
+}
+
+post_upgrade() {
+  post_install
+}
+
+post_remove() {
+  gio-querymodules /usr/lib/gio/modules
+  glib-compile-schemas /usr/share/glib-2.0/schemas
+}

Copied: gvfs/repos/gnome-unstable-x86_64/PKGBUILD (from rev 152761, gvfs/trunk/PKGBUILD)
===================================================================
--- gnome-unstable-x86_64/PKGBUILD	                        (rev 0)
+++ gnome-unstable-x86_64/PKGBUILD	2012-03-09 15:52:56 UTC (rev 152762)
@@ -0,0 +1,112 @@
+# $Id$
+# Maintainer: Jan de Groot <jgc at archlinux.org>
+
+pkgbase=gvfs
+pkgname=('gvfs' 'gvfs-smb' 'gvfs-afc' 'gvfs-afp' 'gvfs-gphoto2' 'gvfs-obexftp')
+pkgver=1.11.4
+pkgrel=1
+arch=('i686' 'x86_64')
+license=('LGPL')
+makedepends=('avahi' 'bluez' 'dbus-glib' 'fuse' 'intltool' 'libarchive' 'libcdio' 'libgphoto2' 'libimobiledevice' 'libsoup-gnome' 'smbclient' 'udisks2')
+url="http://www.gnome.org"
+options=(!libtool)
+source=(http://ftp.gnome.org/pub/gnome/sources/$pkgbase/${pkgver%.*}/$pkgbase-$pkgver.tar.xz)
+sha256sums=('67445aa4e40daac6f235a7d2db935c64b7f30c8420b71403f29561fd0a5c6718')
+
+build() {
+  cd "$pkgbase-$pkgver"
+  ./configure --prefix=/usr --sysconfdir=/etc \
+      --localstatedir=/var --disable-static \
+      --libexecdir=/usr/lib/gvfs \
+      --with-bash-completion-dir=/etc/bash_completion.d
+  make
+}
+
+package_gvfs() {
+  pkgdesc="Userspace virtual filesystem implemented as a pluggable module for gio"
+  depends=('avahi' 'dconf' 'fuse' 'libarchive' 'libcdio' 'libsoup-gnome' 'udisks2')
+  optdepends=('gvfs-afc: AFC (mobile devices) support'
+              'gvfs-smb: SMB/CIFS (Windows client) support'
+              'gvfs-gphoto2: gphoto2 (PTP camera/MTP media player) support'
+              'gvfs-obexftp: ObexFTP (bluetooth) support'
+              'gvfs-afp: Apple Filing Protocol (AFP) support')
+  install=gvfs.install
+
+  cd "$pkgbase-$pkgver"
+  sed -e 's/^am__append_4/#am__append_4/' \
+      -e 's/^am__append_5/#am__append_5/' \
+      -i monitor/Makefile
+  make DESTDIR="$pkgdir" install
+
+  cd "$pkgdir"
+  rm usr/lib/gvfs/gvfsd-{smb,smb-browse,afc,afp,afp-browse,gphoto2,obexftp}
+  rm usr/share/gvfs/mounts/{smb,smb-browse,afc,afp,afp-browse,gphoto2,obexftp}.mount
+  rm usr/share/glib-2.0/schemas/org.gnome.system.smb.gschema.xml
+  rm usr/share/GConf/gsettings/gvfs-smb.convert
+}
+
+package_gvfs-smb() {
+  pkgdesc="SMB/CIFS (Windows client) backend for gvfs"
+  depends=("gvfs=$pkgver" 'smbclient' 'libgnome-keyring')
+  install=gvfs-smb.install
+
+  cd "$pkgbase-$pkgver/daemon"
+  install -m755 -d "$pkgdir/usr/lib/gvfs"
+  install -m755 -d "$pkgdir/usr/share/gvfs/mounts"
+
+  install -m755 .libs/gvfsd-smb{,-browse} "$pkgdir/usr/lib/gvfs/"
+  install -m644 smb{,-browse}.mount "$pkgdir/usr/share/gvfs/mounts/"
+
+  install -Dm644 org.gnome.system.smb.gschema.xml \
+    "$pkgdir/usr/share/glib-2.0/schemas/org.gnome.system.smb.gschema.xml"
+  install -Dm644 gvfs-smb.convert \
+    "$pkgdir/usr/share/GConf/gsettings/gvfs-smb.convert"
+}
+
+package_gvfs-afc() {
+  pkgdesc="AFC (mobile devices) backend for gvfs"
+  depends=("gvfs=$pkgver" 'libimobiledevice')
+  install=gvfs-module.install
+
+  cd "$pkgbase-$pkgver/daemon"
+  install -D .libs/gvfsd-afc "$pkgdir/usr/lib/gvfs/gvfsd-afc"
+  install -Dm644 afc.mount "$pkgdir/usr/share/gvfs/mounts/afc.mount"
+
+  cd "$srcdir/$pkgbase-$pkgver/monitor/afc"
+  make DESTDIR="$pkgdir" install
+}
+
+package_gvfs-gphoto2() {
+  pkgdesc="gphoto2 (PTP camera/MTP media player) backend for gvfs"
+  depends=("gvfs=$pkgver" 'dbus-core' 'libgphoto2' 'udev')
+  install=gvfs-module.install
+
+  cd "$pkgbase-$pkgver/daemon"
+  install -D .libs/gvfsd-gphoto2 "$pkgdir/usr/lib/gvfs/gvfsd-gphoto2"
+  install -Dm644 gphoto2.mount "$pkgdir/usr/share/gvfs/mounts/gphoto2.mount"
+
+  cd "$srcdir/$pkgbase-$pkgver/monitor/gphoto2"
+  make DESTDIR="$pkgdir" install
+}
+
+package_gvfs-obexftp() {
+  pkgdesc="ObexFTP (bluetooth) backend for gvfs"
+  depends=("gvfs=$pkgver" 'dbus-glib' 'bluez' 'obex-data-server')
+  install=gvfs-module.install
+
+  cd "$pkgbase-$pkgver/daemon"
+  install -D .libs/gvfsd-obexftp "$pkgdir/usr/lib/gvfs/gvfsd-obexftp"
+  install -Dm644 obexftp.mount "$pkgdir/usr/share/gvfs/mounts/obexftp.mount"
+}
+
+package_gvfs-afp() {
+  pkgdesc="Apple Filing Protocol (AFP) backend for gvfs"
+  depends=("gvfs=$pkgver")
+  install=gvfs-module.install
+  install -m755 -d "$pkgdir/usr/lib/gvfs"
+  install -m755 -d "$pkgdir/usr/share/gvfs/mounts"
+
+  cd "$pkgbase-$pkgver/daemon"
+  install -m755 .libs/gvfsd-afp{,-browse} "$pkgdir/usr/lib/gvfs/"
+  install -m644 afp{,-browse}.mount "$pkgdir/usr/share/gvfs/mounts/"
+}

Copied: gvfs/repos/gnome-unstable-x86_64/gvfs-module.install (from rev 152761, gvfs/trunk/gvfs-module.install)
===================================================================
--- gnome-unstable-x86_64/gvfs-module.install	                        (rev 0)
+++ gnome-unstable-x86_64/gvfs-module.install	2012-03-09 15:52:56 UTC (rev 152762)
@@ -0,0 +1,7 @@
+post_install() {
+  killall -USR1 gvfsd >&/dev/null || :
+}
+
+post_upgrade() {
+  post_install
+}

Copied: gvfs/repos/gnome-unstable-x86_64/gvfs-smb.install (from rev 152761, gvfs/trunk/gvfs-smb.install)
===================================================================
--- gnome-unstable-x86_64/gvfs-smb.install	                        (rev 0)
+++ gnome-unstable-x86_64/gvfs-smb.install	2012-03-09 15:52:56 UTC (rev 152762)
@@ -0,0 +1,12 @@
+post_install() {
+  glib-compile-schemas /usr/share/glib-2.0/schemas
+  killall -USR1 gvfsd >&/dev/null || :
+}
+
+post_upgrade() {
+  post_install
+}
+
+post_remove() {
+  glib-compile-schemas /usr/share/glib-2.0/schemas
+}

Copied: gvfs/repos/gnome-unstable-x86_64/gvfs.install (from rev 152761, gvfs/trunk/gvfs.install)
===================================================================
--- gnome-unstable-x86_64/gvfs.install	                        (rev 0)
+++ gnome-unstable-x86_64/gvfs.install	2012-03-09 15:52:56 UTC (rev 152762)
@@ -0,0 +1,14 @@
+post_install() {
+  gio-querymodules /usr/lib/gio/modules
+  glib-compile-schemas /usr/share/glib-2.0/schemas
+  killall -USR1 gvfsd >&/dev/null || :
+}
+
+post_upgrade() {
+  post_install
+}
+
+post_remove() {
+  gio-querymodules /usr/lib/gio/modules
+  glib-compile-schemas /usr/share/glib-2.0/schemas
+}



More information about the arch-commits mailing list